org.appng.xml.platform

## Class MetaData

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.MetaData

- All Implemented Interfaces:
    Serializable

      public class MetaData
      extends BaseObject
      implements Serializable

  The MetaData defines how the binding from domain-objects to their XML-representation is done, and vice versa. Therefore a set of `FieldDef`initions is used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `bindClass`
    `protected String` | `binding`
    `protected List<FieldDef>` | `fields`
    `protected String` | `resultSelector`
    `protected ValidationGroups` | `validation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBindClass()` The fully qualified name of the class represented by this metadata.
    `String` | `getBinding()` The default binding-prefix for all `FieldDef`s of this metadata.
    `List<FieldDef>` | `getFields()` Gets the value of the fields property.
    `String` | `getResultSelector()` An expression defining when the actual `Result` should be marked as selected.
    `ValidationGroups` | `getValidation()` Gets the value of the validation property.
    `void` | `setBindClass(String value)` Sets the value of the bindClass property.
    `void` | `setBinding(String value)` Sets the value of the binding property.
    `void` | `setResultSelector(String value)` Sets the value of the resultSelector property.
    `void` | `setValidation(ValidationGroups value)` Sets the value of the validation property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### validation

          protected ValidationGroups validation

    - #### fields

          protected List<FieldDef> fields

    - #### binding

          protected String binding

    - #### bindClass

          protected String bindClass

    - #### resultSelector

          protected String resultSelector

  - ### Constructor Detail

    - #### MetaData

          public MetaData()

  - ### Method Detail

    - #### getValidation

          public ValidationGroups getValidation()

      Gets the value of the validation property.
      Returns:
        possible object is `ValidationGroups`

    - #### setValidation

          public void setValidation(ValidationGroups value)

      Sets the value of the validation property.
      Parameters:
        `value` - allowed object is `ValidationGroups`

    - #### getFields

          public List<FieldDef> getFields()

      Gets the value of the fields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fields property.

      For example, to add a new item, do as follows:

              getFields().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldDef`

    - #### getBinding

          public String getBinding()

      The default binding-prefix for all `FieldDef`s of this metadata.
      Returns:
        possible object is `String`

    - #### setBinding

          public void setBinding(String value)

      Sets the value of the binding property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBindClass

          public String getBindClass()

      The fully qualified name of the class represented by this metadata.
      Returns:
        possible object is `String`

    - #### setBindClass

          public void setBindClass(String value)

      Sets the value of the bindClass property.
      Parameters:
        `value` - allowed object is `String`

    - #### getResultSelector

          public String getResultSelector()

      An expression defining when the actual `Result` should be marked as selected.
      Returns:
        possible object is `String`

    - #### setResultSelector

          public void setResultSelector(String value)

      Sets the value of the resultSelector property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.